package ch.netzschmiede.flarmradar.api.flarmdata;

import ch.netzschmiede.flarmradar.api.flarmdata.mock.DateServiceMock;
import ch.netzschmiede.flarmradar.api.flarmdata.mock.FlarmDataMgrMock;
import ch.netzschmiede.flarmradar.lib.remote.IServiceDescriptor;

public enum FlarmdataDesc implements IServiceDescriptor {
//					Name			AppName			Module			Interface					Mockobject	
	FLARMDATA		(	"FlarmDataMgr", 	"ch.netzschmiede.flarmradar-0.0.1-SNAPSHOT", 	"ch.netzschmiede.flarmradar.srv.flarmdata",	IFlarmDataMgrRemote.class,	FlarmDataMgrMock.class),
	DATESERVICE (	"DateService", 	"ch.netzschmiede.flarmradar-0.0.1-SNAPSHOT", 	"ch.netzschmiede.flarmradar.web.login",	IDateServiceRemote.class,	DateServiceMock.class);
	
	String name;
	String app;
	String module;
	Class<?> iface; 
	Class<?> mock;
	FlarmdataDesc(String name, String app, String module, Class<?> iface, Class<?> mock) {
		this.name = name;
		this.app = app;
		this.module = module;
		this.iface = iface;
		this.mock = mock;
	}
	
	@Override
	public String getName() { return this.name; }

	@Override
	public String getAppName() { return this.app; }

	@Override
	public String getModuleName() { return this.module; }

	@Override
	public Class<?> getInterface() { return iface; }

	@Override
	public Class<?> getMock() { return mock; }
}
