package ch.netzschmiede.flarmradar.api.flarmdata;

import java.util.Date;

import javax.ejb.Remote;

import ch.netzschmiede.flarmradar.api.flarmdata.util.QueryResult;

@Remote
public interface IFlarmDataMgrRemote {
	
	public static int MAX_RESULT_COUNT = 25;
	
	public void write(Date date, String record);
	
	public void write(Date date, String[] records);
	
	public QueryResult read(Date date);
	
	public QueryResult read(Date date, int offset);
	
	public QueryResult read(Date date, int offset, int resultCount);
	
}
