package ch.netzschmiede.flarmradar.api.flarmdata.util;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

import ch.netzschmiede.flarmradar.api.flarmdata.domain.FlarmRecord;

@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
public class QueryResult implements Serializable {
	
	private static final long serialVersionUID = 4990356481200427111L;

	protected FlarmRecord[] record;
	protected int totalCount;
	protected boolean hasMore;
	protected int nextId;

	public int getNextId() {
		return nextId;
	}

	public void setNextId(int nextId) {
		this.nextId = nextId;
	}

	public void setTotalCount(int totalCount) {
		this.totalCount = totalCount;
	}

	public void setRecord(FlarmRecord[] record) {
		this.record = record;
	}
	
	public void setHasMore(boolean hasMore) {
		this.hasMore = hasMore;
	}

	@XmlElement
	public boolean getHasMore() {
		return hasMore;
	}

	@XmlElement
	public int getTotalCount() {
		return totalCount;
	}

	@XmlElementWrapper(name="records")
	public FlarmRecord[] getRecord() {
		return record;
	}
	
}
